services:
  immich_machine_learning:
    command:
    - python
    - -m
    - immich_ml
    container_name: immich_machine_learning
    entrypoint:
    - tini
    - --
    environment:
      DEVICE: cpu
      GPG_KEY: '***SENSITIVE_VALUE*** (A035...)'
      IMMICH_BUILD: '17162633807'
      IMMICH_BUILD_IMAGE: v1.139.2
      IMMICH_BUILD_IMAGE_URL: https://github.com/immich-app/immich/pkgs/container/immich-machine-learning
      IMMICH_BUILD_URL: https://github.com/immich-app/immich/actions/runs/17162633807
      IMMICH_REPOSITORY: immich-app/immich
      IMMICH_REPOSITORY_URL: https://github.com/immich-app/immich
      IMMICH_SOURCE_COMMIT: 571504aa5e691ee76edc8706f426d1d49aafa7a8
      IMMICH_SOURCE_REF: v1.139.2
      IMMICH_SOURCE_URL: https://github.com/immich-app/immich/commit/571504aa5e691ee76edc8706f426d1d49aafa7a8
      LANG: C.UTF-8
      LD_PRELOAD: /usr/lib/libmimalloc.so.2
      MACHINE_LEARNING_CACHE_FOLDER: /cache
      PATH: /opt/venv/bin:/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
      PYTHONDONTWRITEBYTECODE: '1'
      PYTHONPATH: /usr/src
      PYTHONUNBUFFERED: '1'
      PYTHON_SHA256: 8fb5f9fbc7609fa822cb31549884575db7fd9657cbffb89510b5d7975963a83a
      PYTHON_VERSION: 3.11.13
      TRANSFORMERS_CACHE: /cache
      TZ: America/New_York
      VIRTUAL_ENV: /opt/venv
    image: ghcr.io/immich-app/immich-machine-learning:release
    restart: always
    volumes:
    - immich_model-cache:/cache:rw
    working_dir: /usr/src
